Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.domain
Class ChapterIVKmehrResponseWithTimeStampInfo

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.domain.ChapterIVKmehrResponseWithTimeStampInfo

All Implemented Interfaces:
  Serializable

    public final class ChapterIVKmehrResponseWithTimeStampInfo

extends Object
implements Serializable

container object for all usefull info from the Chapter IV Response objects. the timeStampBytes and kmehrResponseBytes should be stored as a byteArray by the client. they serve as proof of the chapterIV response Object not serialisable because timeStampResponse from Bouncy Castle is not

See Also:
  Serialized Form

Constructor Summary
`ChapterIVKmehrResponseWithTimeStampInfo(byte[] timeStampBytes, byte[] kmehrResponseBytes)` constructor with all parameters
`ChapterIVKmehrResponseWithTimeStampInfo(Kmehrresponse kmehrresponse, org.bouncycastle.tsp.TimeStampResponse timeStampResponse, byte[] timeStampBytes, byte[] kmehrResponseBytes)` Deprecated.

Method Summary
`Kmehrresponse` | `getKmehrresponse()`
`byte[]` | `getKmehrResponseBytes()`
`byte[]` | `getTimeStampBytes()`
`org.bouncycastle.tsp.TimeStampResponse` | `getTimeStampResponse()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChapterIVKmehrResponseWithTimeStampInfo

    @Deprecated
    public ChapterIVKmehrResponseWithTimeStampInfo(Kmehrresponse kmehrresponse,
                                                              org.bouncycastle.tsp.TimeStampResponse timeStampResponse,
                                                              byte[] timeStampBytes,
                                                              byte[] kmehrResponseBytes)

  Deprecated.

  constructor with all parameters

  Parameters:
    `kmehrresponse` - the KmehrResponse jaxb object
    `timeStampResponse` - the `TimeStampResponse` object
    `timeStampBytes` - the timeStamp as bytearray : should be stored as byte array
    `kmehrResponseBytes` - the kmehrresponse as bytearray : should be stored as byte array

### ChapterIVKmehrResponseWithTimeStampInfo

    public ChapterIVKmehrResponseWithTimeStampInfo(byte[] timeStampBytes,
                                                   byte[] kmehrResponseBytes)

  constructor with all parameters

  Parameters:
    `timeStampBytes` - the timeStamp as bytearray : should be stored as byte array
    `kmehrResponseBytes` - the kmehrresponse as bytearray : should be stored as byte array

Method Detail

### getKmehrresponse

    public Kmehrresponse getKmehrresponse()

  Returns:
    the kmehrresponse

### getTimeStampResponse

    public org.bouncycastle.tsp.TimeStampResponse getTimeStampResponse()

  Returns:
    the timeStampResponse

### getTimeStampBytes

    public byte[] getTimeStampBytes()

  Returns:
    the timeStampBytes

### getKmehrResponseBytes

    public byte[] getKmehrResponseBytes()

  Returns:
    the kmehrResponseBytes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.